Bug 234023 - lang/spidermonkey52: Needs GNU_CONFIGURE fixup for powerpcspe
Summary: lang/spidermonkey52: Needs GNU_CONFIGURE fixup for powerpcspe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-14 21:19 UTC by Justin Hibbits
Modified: 2019-01-14 22:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kwm)
koobs: merge-quarterly?


Attachments
Makefile hack (905 bytes, patch)
2019-01-05 21:57 UTC, Justin Hibbits
no flags Details | Diff
Proposed powerpcspe patch v1 (1.48 KB, patch)
2019-01-05 23:23 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2018-12-14 21:19:40 UTC
lang/spidermonkey52 needs the GNU config.sub and config.guess fixups for powerpcspe.  They're not applied currently because the fixup is guarded by GNU_CONFIGURE, which is not used in spidermonkey52, and cannot (I tried the simple GNU_CONFIGURE= yes, but that caused a build failure).

I resorted, for my own building purposes, to simply copy the fixup block from bsd.port.mk locally into the lang/spidermonkey52 Makefile.  It's not the correct solution, but it got it to build.
Comment 1 Koop Mast freebsd_committer 2019-01-05 21:47:41 UTC
Totally not easy, spidermonkey or beter said firefox has a wierd build system. It seems a mishmash of things. And I can't figure out how to get it to work with GNU_CONFIGURE.

Justin can so instead of a ton of workarounds to get it working, can you list which fixes you need to get spidermonkey52 to work on the powerpcspe ARCH?

Thanks
Comment 2 Justin Hibbits freebsd_committer 2019-01-05 21:52:10 UTC
It needs the config.guess and config.sub files replaced with the Template/ ones.  I'll attach the hack patch I have for it, which is just a copy of what's in bsd.port.mk, but gets it building for me.
Comment 3 Justin Hibbits freebsd_committer 2019-01-05 21:57:25 UTC
Created attachment 200814 [details]
Makefile hack

Hack to replace config.guess and config.sub
Comment 4 Koop Mast freebsd_committer 2019-01-05 23:22:17 UTC
Well yes, might fix powerpcspe but breaks amd64 :)

Reexecuting in the virtualenv
checking for a shell... /bin/sh
checking for host system type... 
ERROR: Unknown CPU type: amd64
===>  Script "configure" failed unexpectedly.

Can you try the following patch on powerpc?
Comment 5 Koop Mast freebsd_committer 2019-01-05 23:23:01 UTC
Created attachment 200818 [details]
Proposed powerpcspe patch v1
Comment 6 Justin Hibbits freebsd_committer 2019-01-07 21:56:26 UTC
It configures just fine with your patch.  Thanks!
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2019-01-14 01:08:33 UTC
I can confirm this patch also builds on amd64.
Comment 8 commit-hook freebsd_committer 2019-01-14 22:16:02 UTC
A commit references this bug:

Author: kwm
Date: Mon Jan 14 22:15:45 UTC 2019
New revision: 490318
URL: https://svnweb.freebsd.org/changeset/ports/490318

Log:
  Build fix for powerpcspe.

  PR:		234023
  Reported by:	jhibbits@
  Tested by:	jhibbits@, linimon@

Changes:
  head/lang/spidermonkey52/files/patch-build_autoconf_config.sub